Jump to content

Template:IconButton/styles.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
Line 5: Line 5:
.scamp-icon-button__img {
.scamp-icon-button__img {
   transition: background-color 0.2s ease;
   transition: background-color 0.2s ease;
  border-radius: 4px;
}
}


.scamp-icon-button__img:hover {
.scamp-icon-button__img:hover {
   background: var(--background-color-interactive--hover);
   background-color: var(--background-color-interactive--hover);
  border-radius: 4px;
}
}



Revision as of 11:21, 14 January 2026

.scamp-icon-button * {
  box-sizing: border-box;
}

.scamp-icon-button__img {
  transition: background-color 0.2s ease;
  border-radius: 4px;
}

.scamp-icon-button__img:hover {
  background-color: var(--background-color-interactive--hover);
}

.scamp-icon-button__img a {
  padding: 1rem;
}

.scamp-icon-button__img a,
.scamp-icon-button__img span {
  display: block;
  width: 100%;
  height: 100%;
  text-align: center;
}

.scamp-icon-button__img img {
  width: 60px;
  height: 60px;
}

.scamp-icon-button .scamp-link-button {
  width: 100%;
}